## flac 1.3.0

=== debian/changelog ===
flac (1.3.0-2ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via crafted .flac file
    - debian/patches/CVE-2014-8962.patch: validate id in
      src/libFLAC/stream_decoder.c.
    - CVE-2014-8962
  * SECURITY UPDATE: arbitrary code execution via crafted .flac file
    - debian/patches/CVE-2014-9028.patch: error out to avoid heap overflow
      in src/libFLAC/stream_decoder.c.
    - CVE-2014-9028

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Nov 2014 12:26:23 -0500

flac (1.3.0-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * switch to xz compression
  * Bump standards version (no changes)

  [ Fabian Greffrath ]
  * Add -lflac to flac++'s pkg-config file (Closes: #713645);
    thanks Sebastian Ramacher.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 03 Sep 2013 21:38:39 +0200

flac (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0 (Closes: #527542, #705601).
  * Update debian/watch file, thanks Ulrich Klauer (Closes: #710062).
  * Revert "Remove manpages from master branch."
  * Imported Upstream version 1.3.0
  * Convert package to "3.0 (quilt)" source format.
  * Remove all patches, they have either been merged upstream or do not
    apply anymore (tested).
  * Explicitly enable static libraries.
  * Simplify debian/libflac-doc.install.
  * Bump shlibs for added symbols.
  * Remove needless Build-Depends: libid3-3.8.3-dev.
  * Update Homepage field.
  * Repair upstream manpage regeneration rule.
  * Bump Build-Depends: debhelper (>= 9).
  * Fix vcs-field-not-canonical.
  * Import two patches from upstream GIT:
    + Add missing config.h includes.
    + Fix local_strcat() to terminate string correctly.
  * Disable 3DNow! optimizations, enable SSE only on amd64, enable Altivec
    only on ppc64, disable ASM optimizations elsewhere.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 07 Jun 2013 10:24:30 +0200

flac (1.2.1-6) UNRELEASED; urgency=medium

  * Fix "format not a string literal and no format arguments
    [-Werror=format-security]" errors (Closes: #643377).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 05 Oct 2011 14:26:47 +0200

flac (1.2.1-5) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Transition package to multiarch (Closes: #637582)

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Aug 2011 12:55:20 +0200

flac (1.2.1-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Convert patch tracking system from dpatch to quilt.
  * Convert package to use dh7 with quilt and autotools-dev sequence
    addons.
  * Clean up debian/control and debian/flac.install.
  * Remove unnecessary debian/fixrpath.
  * Skip test suite, it was also skipped before.
  * Bring back config.sub and config.guess from upstream branch.
  * Improve debian/copyright.
  * Remove special handling of CFLAGS for m68k.
  * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
    "undefined macro: AM_PATH_XMMS" and similar errors which cause
    autoreconf to fail.
  * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
  * Convert patch tracking system from dpatch to quilt.
  * Convert package to use dh7 with quilt and autotools-dev sequence addons.
  * Clean up debian/control and debian/flac.install.
  * Remove unseless debian/fixrpath.
  * Prepare new changelog entry.
  * Skip test suite, it was also skipped before.
  * Bring back config.sub and config.guess from upstream branch.
  * Clarify dh_auto_test should be omitted.
  * Update debian/changelog.
  * Improve debian/copyright.
  * Update debian/changelog.
  * Remove special handling of CFLAGS for m68k.
  * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
    "undefined macro: AM_PATH_XMMS" and similar errors which cause
    autoreconf to fail.
  * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
  * Update debian/changelog.
  * Remove 90_autoreconf.patch from debian/patches/series as well.

  [ Alessio Treglia ]
  * debian/control:
    - Bump Standards.
    - Fix team's name.
  * debian/patches/13_replaygain_c_locale.patch:
    - flac should not use locales when running with 'replaygain'
      option (Closes: #498050).
  * debian/patches/14_metadata_iterators_memleak.patch:
    - Fix memoy leak in metadata_iterators.c, 'node' is not freed;
      Patch taken from upstream's patchtracker.
  * Add .gitignore to skip quilt files.
  * Add gbp config file.
  * Get rid of unneeded *.la files (Closes: #633177).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 09 Jul 2011 11:51:59 +0200

flac (1.2.1-3) unstable; urgency=low

  * Add Joshua Kwan back to Uploaders, sorry!
  * Update my e-mail address.
  * Fix "libFLAC.m4 may set empty -L flag when configure is called
    without arguments" (Closes: #579025).
  * Consider *gnuspe which matches powerpc-unknown-linux-gnuspe where
    AltiVec is not available at all (Closes: #585518), thanks Sebastian
    Andrzej Siewior.
  * Mandatory autoreconf.
  * Add debian/source/format, keep at 1.0 for now.
  * Add debian/README.source.
  * Add Vcs-* and Homepage fields.
  * Bump Standards-Version to 3.8.4.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 15 Jun 2010 14:37:46 +0200

flac (1.2.1-2) unstable; urgency=high

  * New maintainer (Closes: #539565).
  * Acknowledge NMUs (Closes: #456726, #455304, #525826, #525829).
  * Urgency high, because of fixed RC bugs.

  * Set Maintainer to Debian multimedia packages maintainers and added
    myself to Uploaders.
  * Wrapped and sorted Build-Depends.
  * Added ${misc:Depends} to all packages and wrapped Depends fields.
  * Bumped debhelper compat to 7.
  * Removed versioned dependency on g++ and libid3-3.8.3-dev, the
    required versions are already in oldstable.
  * Bumped Standards-Version to 3.8.2.
  * Removed Conflicts and Replaces against packages that aren't even in
    oldstable anymore.
  * Point to versioned license file (GPL-2).

