=== debian/control ===
Source: flac
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 docbook-to-man,
 doxygen,
 libogg-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/flac.git;a=summary
Homepage: http://xiph.org/flac/

Package: flac
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Free Lossless Audio Codec - command line tools
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the command-line tools flac (used for encoding and
 decoding FLACs) and metaflac (used for manipulating FLAC metadata.)

Package: libflac8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Free Lossless Audio Codec - runtime C library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC.

Package: libflac-doc
Section: doc
Architecture: all
Suggests: libflac-dev
Recommends: doc-base
Depends: ${misc:Depends}
Description: Free Lossless Audio Codec - library documentation
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the API documentation for all the FLAC libraries.

Package: libflac-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libflac8 (= ${binary:Version}),
 libogg-dev,
 ${misc:Depends}
Description: Free Lossless Audio Codec - C development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC.

Package: libflac++6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Free Lossless Audio Codec - C++ runtime library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC++.

Package: libflac++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libflac++6 (= ${binary:Version}),
 libflac-dev,
 ${misc:Depends}
Description: Free Lossless Audio Codec - C++ development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC++.
