=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# 3DNow! is deprecated even on amd64
OPTFLAGS := --disable-3dnow

# Enable SSE only on amd64
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	OPTFLAGS += --disable-altivec --enable-sse
# Enable Altivec only on ppc64
else ifeq ($(DEB_HOST_ARCH_CPU),ppc64)
	OPTFLAGS += --enable-altivec --disable-sse
else
	OPTFLAGS += --disable-asm-optimizations --disable-sse --disable-altivec
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-xmms-plugin \
		$(OPTFLAGS) \
		--enable-static

override_dh_auto_test:
	dh_auto_test --no-act

override_dh_makeshlibs:
	dh_makeshlibs -plibflac8 -V "libflac8 (>= 1.3.0)"
	dh_makeshlibs -plibflac++6 -V "libflac++6 (>= 1.3.0)"
