=== debian/watch ===
version=3

http://downloads.xiph.org/releases/flac/flac-(.+)(?:-src)?\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
