## flac 1.3.1

=== debian/changelog ===
flac (1.3.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 02:01:47 +0200

flac (1.3.1-3) experimental; urgency=medium

  * Team upload.
  * Rename libflac++6 to libflac++6v5 for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 21:32:22 +0200

flac (1.3.1-2) unstable; urgency=low

  * Team upload.

  [ Dmitry Smirnov ]
  * Pin all C++ symbols in "libflac++6.symbols" to current version
    (Closes: #783258).
  * Copyright updates/lintianisation:
    - space-in-std-shortname-in-dep5-copyright
    - file-without-copyright-information
  * Updated Vcs-Browser URL.
  * Upload to unstable.

  [ Fabian Greffrath ]
  * Drop (fake)root privileges, but still skip running test suite as it is
    _exhaustive_.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 19:29:44 +1000

flac (1.3.1-1) experimental; urgency=medium

  [ Jackson Doak ]
  * Disable silent rules
  * Enable hardening
  * Add symbols files

  [ Fabian Greffrath ]
  * Adapt debian/watch file to reflect actual upstream versioning scheme.
  * Imported Upstream version 1.3.1
    + Fixes CVE-2014-8962 and CVE-2014-9028 (Closes: #770918).
    + Support for 3DNOW! optimizations has been removed.
    + Localized RU documentation has been removed.
  * Drop patches applied upstream.
  * Backport patch from upstream GIT to fix another input validation bug.
  * Fix "privacy-breach-logo" and "privacy-breach-w3c-valid-html"
    lintian errors.
  * In debian/rules, remove the "override_dh_makeshlibs" rule
    for the symbols files to have effect.
  * Update, improve and convert debian/copyright to machine-readable format.
  * Bump Standards-Version to 3.9.6.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 01 Dec 2014 18:32:57 +0100
