=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  docbook-to-man,
  doxygen,
- libogg-dev
-Standards-Version: 3.9.4
+ libogg-dev,
+ g++ (>= 4:5.2)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flac.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/flac.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/flac.git
 Homepage: http://xiph.org/flac/
 
 Package: flac
@@ -96,13 +96,15 @@
  .
  This package contains the development library libFLAC.
 
-Package: libflac++6
+Package: libflac++6v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libflac++6
+Replaces: libflac++6
 Description: Free Lossless Audio Codec - C++ runtime library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -121,7 +123,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflac++6 (= ${binary:Version}),
+Depends: libflac++6v5 (= ${binary:Version}),
  libflac-dev,
  ${misc:Depends}
 Description: Free Lossless Audio Codec - C++ development library
