=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# Enable SSE only on amd64
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	OPTFLAGS = --disable-altivec --enable-sse
# Enable Altivec only on ppc64
else ifeq ($(DEB_HOST_ARCH_CPU),ppc64)
	OPTFLAGS = --enable-altivec --disable-sse
else
	OPTFLAGS = --disable-asm-optimizations --disable-sse --disable-altivec
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-xmms-plugin \
		$(OPTFLAGS) \
		--enable-static \
		--disable-silent-rules

override_dh_auto_test:
	# drop (fake)root privileges,
	# but still skip running test suite
	# as it is *exhaustive*
	env -u LD_PRELOAD dh_auto_test --no-act
