=== debian/watch ===
version=3

http://downloads.xiph.org/releases/flac/flac-([\d\.]+)(?:-src)?\.tar\.(?:gz|xz)
