## flac 1.3.2

=== debian/changelog ===
flac (1.3.2-2+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to exit at EOS in verify mode.
    (Fixes: CVE-2021-0561) (Closes: #1006339)

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 17 Mar 2022 01:55:18 +0530

flac (1.3.2-2+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-0499: Out of bounds read due to a heap buffer overflow.

 -- Adrian Bunk <bunk@debian.org>  Mon, 04 Jan 2021 01:27:32 +0200

flac (1.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Fabian Greffrath ]
  * Apply two commits from upstream's GIT repo to fix memory leaks
    (Closes: #897015, CVE-2017-6888).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 01 May 2018 20:56:47 +0200

flac (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches:
    - Refresh patches.
    - Remove patches integrated upstream.
  * debian/copyright: Update copyright years.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/{rules,control,compat}: Bump dh compat to 10.
  * debian/libflac-doc.lintian-overrides: Override incorrect lintian warning
    about jquery.js.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 20:36:10 +0100
