=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends: debhelper (>= 10),
  docbook-to-man,
  doxygen,
  libogg-dev,
  g++ (>= 4:5.2)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flac.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/flac.git
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: http://xiph.org/flac/
 
 Package: flac
