## flac 1.3.2.2

=== debian/changelog ===
flac (1.3.2.2-3+dde) unstable; urgency=medium

  * fix CVE-2021-0561.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 02 Mar 2022 19:43:36 +0800

flac (1.3.2.1-1+security) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-0499

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 01 Apr 2021 20:16:28 +0800

flac (1.3.2-3) unstable; urgency=medium

  * Use my debian account in Uploaders field and
    update Debian packaging copyright information.
  * Bump debhelper compat to 11.
  * Add patch by Dafydd Harries to make the build reproducible
    (Closes: #846893).
  * Bump Standards-Version to 4.1.4.
  * Drop versioned Build-Depends on g++.
  * Mark libflac-doc as Multi-Arch: foreign.
  * Remove unused debian/libflac-doc.lintian-overrides.
  * Move doxygen to Build-Depends-Indep and adjust debian/rules accordingly
    (Closes: #706805).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 16 May 2018 21:35:01 +0200
