=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
- Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 10),
+ Fabian Greffrath <fabian@debian.org>
+Build-Depends-Indep: doxygen
+Build-Depends: debhelper (>= 11~),
  docbook-to-man,
- doxygen,
- libogg-dev,
- g++ (>= 4:5.2)
-Standards-Version: 3.9.8
+ libogg-dev
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: http://xiph.org/flac/
@@ -57,6 +56,7 @@
 Package: libflac-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Suggests: libflac-dev
 Recommends: doc-base
 Depends: ${misc:Depends}
