=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian@debian.org>
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
  docbook-to-man,
  libogg-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: http://xiph.org/flac/
