=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -25,8 +25,16 @@
 		--enable-static \
 		--disable-silent-rules
 
-override_dh_auto_test:
+override_dh_auto_build-indep:
+	dh_auto_build -i -- -C doc
+
+override_dh_auto_install-indep:
+	dh_auto_install -i -- -C doc
+
+override_dh_auto_test-arch:
 	# drop (fake)root privileges,
 	# but still skip running test suite
 	# as it is *exhaustive*
-	env -u LD_PRELOAD dh_auto_test --no-act
+	env -u LD_PRELOAD dh_auto_test -a --no-act
+
+override_dh_auto_test-indep:
