## flac 1.3.4

=== debian/changelog ===
flac (1.3.4-2) unstable; urgency=medium

  [ Philip Rinn ]
  * Add upstream patch to fix seeking bug (closes: #1008424)

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Jun 2022 08:40:28 +0200

flac (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
    + Closes: #1006339, CVE-2021-0561.
  * Remove patch backported from upstream.
  * Bump debhelper-compat to 13.
  * Add "Rules-Requires-Root: no".
  * Bump Standards-Version to 4.6.0.
  * Bump watch file version to 4.
  * Add "usr/lib/*/*.la" to debian/not-installed.
  * Adapt doc-base paths to actual file locations.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 05 Mar 2022 13:07:41 +0100

flac (1.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Fabian Greffrath ]
  * libFLAC/bitreader.c: Fix out-of-bounds read (CVE-2020-0499),
    Closes: #977764.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 21 Dec 2020 16:39:34 +0100
