=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian@debian.org>
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  docbook-to-man,
  libogg-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
-Homepage: http://xiph.org/flac/
+Homepage: https://xiph.org/flac/
+Rules-Requires-Root: no
 
 Package: flac
 Architecture: any
