=== debian/watch ===
version=4

https://downloads.xiph.org/releases/flac/flac-([\d\.]+)(?:-src)?\.tar\.(?:gz|xz)
