## flac 1.4.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Joshua Kwan <joshk@triplehelix.org>,
- Fabian Greffrath <fabian@debian.org>
-Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 13),
- docbook-to-man,
- libogg-dev
-Standards-Version: 4.6.0
+Uploaders:
+ Joshua Kwan <joshk@triplehelix.org>,
+ Fabian Greffrath <fabian@debian.org>,
+Build-Depends-Indep:
+ doxygen,
+Build-Depends:
+ debhelper-compat (= 13),
+ libogg-dev,
+ pandoc,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: https://xiph.org/flac/
@@ -16,8 +19,9 @@
 
 Package: flac
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Lossless Audio Codec - command line tools
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -33,13 +37,15 @@
  This package contains the command-line tools flac (used for encoding and
  decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
 
-Package: libflac8
+Package: libflac12
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Lossless Audio Codec - runtime C library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -58,9 +64,12 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Suggests: libflac-dev
-Recommends: doc-base
-Depends: ${misc:Depends}
+Suggests:
+ libflac-dev,
+Recommends:
+ doc-base,
+Depends:
+ ${misc:Depends},
 Description: Free Lossless Audio Codec - library documentation
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -79,9 +88,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflac8 (= ${binary:Version}),
+Depends:
+ libflac12 (= ${binary:Version}),
  libogg-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Description: Free Lossless Audio Codec - C development library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -96,15 +106,15 @@
  .
  This package contains the development library libFLAC.
 
-Package: libflac++6v5
+Package: libflac++10
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Breaks: libflac++6
-Replaces: libflac++6
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Lossless Audio Codec - C++ runtime library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -123,9 +133,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflac++6v5 (= ${binary:Version}),
+Depends:
+ libflac++10 (= ${binary:Version}),
  libflac-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Description: Free Lossless Audio Codec - C++ development library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
